# frozen_string_literal: true
# Preview all emails at http://localhost:3000/rails/mailers/reviewer_mailer
class ReviewerMailerPreview < ActionMailer::Preview
  def candidate_submission
    ReviewerMailer.candidate_submission Candidate.find_by(test_hash: 'OvP0ZqGKwJ0') # Dawn
  end

  def reminder
    reminders = ReviewerReminder.new
    reminder = reminders.reminders.first
    ReviewerMailer.reminder reminder
  end

  def notify_manager
    ReviewerMailer.notify_manager Candidate.find_by(test_hash: 'OvP0ZqGKwJ0').id # Dawn
  end

  def new_comment
    ReviewerMailer.new_comment QuizComment.first
  end
end
